```

BenchmarkDotNet v0.14.0, Ubuntu 24.04.2 LTS (Noble Numbat)
Intel Xeon Platinum 8370C CPU 2.80GHz, 1 CPU, 8 logical and 4 physical cores
.NET SDK 10.0.100-preview.3.25160.14
  [Host]     : .NET 9.0.2 (9.0.225.6610), X64 RyuJIT AVX-512F+CD+BW+DQ+VL+VBMI
  Job-LSMVEA : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX2
  Job-TUGWTL : .NET 10.0.0 (42.42.42.42424), X64 RyuJIT AVX2

EnvironmentVariables=DOTNET_EnableAVX512F=0  

```
| Method          | Toolchain               | Mean     | Error   | Ratio |
|---------------- |------------------------ |---------:|--------:|------:|
| Multiply128     | /core_root_base/corerun | 574.7 ns | 0.21 ns |  1.00 |
| Multiply128     | /core_root_diff/corerun | 508.6 ns | 0.03 ns |  0.88 |
|                 |                         |          |         |       |
| Multiply256     | /core_root_base/corerun | 291.5 ns | 0.05 ns |  1.00 |
| Multiply256     | /core_root_diff/corerun | 256.8 ns | 0.18 ns |  0.88 |
|                 |                         |          |         |       |
| MultiplyVectorT | /core_root_base/corerun | 292.7 ns | 0.04 ns |  1.00 |
| MultiplyVectorT | /core_root_diff/corerun | 255.1 ns | 0.01 ns |  0.87 |
